> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Project

> Update the fields of a project using either its name or id.



## OpenAPI

````yaml PATCH /projects/{idOrName}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /projects/{idOrName}:
    patch:
      tags:
        - projects
      description: Update the fields of a project using either its name or id.
      parameters:
        - schema:
            type: string
            description: The unique project identifier or the project name
            example: prj_LLHUOMOoDlqOp8wPE4kFo9pE or my-project-name
          required: true
          name: idOrName
          in: path
        - schema:
            type: string
            description: >-
              The Team identifier or Team slug to perform the request on behalf
              of.
            query:
              name: teamId
              in: query
            example: team_xbtegd63gdg5636gdg
          required: true
          name: teamId
          in: query
        - schema:
            type: string
            description: The Team slug to perform the request on behalf of.
            query:
              name: slug
              in: query
            example: my-team
          required: true
          name: slug
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type:
                    - string
                    - 'null'
                  maxLength: 100
                  description: The desired name for the project
                  example: a-project-name
                teamId:
                  type:
                    - string
                    - 'null'
                alias:
                  type:
                    - string
                    - 'null'
                buildCommand:
                  type:
                    - string
                    - 'null'
                devCommand:
                  type:
                    - string
                    - 'null'
                installCommand:
                  type:
                    - string
                    - 'null'
                framework:
                  type:
                    - string
                    - 'null'
                outputDirectory:
                  type:
                    - string
                    - 'null'
                commandForIgnoringBuildStep:
                  type:
                    - string
                    - 'null'
      responses:
        '200':
          description: The project was successfully updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type:
                      - string
                      - 'null'
                  teamId:
                    type:
                      - string
                      - 'null'
                  alias:
                    type:
                      - string
                      - 'null'
                  buildCommand:
                    type:
                      - string
                      - 'null'
                  devCommand:
                    type:
                      - string
                      - 'null'
                  installCommand:
                    type:
                      - string
                      - 'null'
                  framework:
                    type:
                      - string
                      - 'null'
                  outputDirectory:
                    type:
                      - string
                      - 'null'
                  commandForIgnoringBuildStep:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: number
                  updatedAt:
                    type: number
                required:
                  - id
                  - name
                  - teamId
                  - alias
                  - buildCommand
                  - devCommand
                  - installCommand
                  - framework
                  - outputDirectory
                  - commandForIgnoringBuildStep
                  - createdAt
                  - updatedAt
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '403':
          description: You do not have permission to access this resource.
        '404':
          description: The projects was not found
        '409':
          description: A projects with the provided name/id already exists.
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````